#pragma once
#include "template/domain_dependent/evaluator_base.h"

template<typename Poker>
ShowdownHistogram EvaluatorBase<Poker>::evaluate_potential(const type::card_t hand[Poker_t::hand_len[Poker_t::num_rounds-1]]) {
    return evaluate_potential(hand, hand+Poker_t::hole_len[Poker_t::num_rounds-1]);
}
